Bug 1666359 - [RFE] Vertical menu fixes and other enhancements for v2v UI
Summary: [RFE] Vertical menu fixes and other enhancements for v2v UI
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.11.0
Assignee: Brett Thurber
QA Contact: Shveta
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks: 1668816 1693743
TreeView+ depends on / blocked
 
Reported: 2019-01-15 15:53 UTC by vconzola
Modified: 2019-06-14 11:53 UTC (History)
3 users (show)

Fixed In Version: 5.11.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1693743 (view as bug list)
Environment:
Last Closed:
Category: ---
Cloudforms Team: V2V


Attachments (Terms of Use)
fixed_proof.png (19.82 KB, image/png)
2019-06-14 11:53 UTC, Yadnyawalk Tale
no flags Details

Description vconzola 2019-01-15 15:53:55 UTC
Description of problem:
Currently state is lost when transitioning between pages in the UI so data must be ref-fetched each time a page is loaded.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
This PR:

- restores ConnectedRouter and hash routing: this is to have swift & fully client-side routing with browsing history
- adds code to re-style vertical menu whenever we navigate between menu items (or screens that would ordinarily fall into different menu item): this is so that correct vertical menu item is highlighted
- adds code to do POST /migration/menu_item_url: this is to update session[:tab_url] when navigating between two menu items so that clicking on Compute ➛ Migrate takes you to previously visited url

Additional info:

Comment 3 vconzola 2019-01-16 13:57:35 UTC
PR for this issue:
https://github.com/ManageIQ/manageiq-v2v/pull/822

Comment 6 Yadnyawalk Tale 2019-06-14 11:53:16 UTC
Created attachment 1580649 [details]
fixed_proof.png

Fixed! Verified on: 5.11.0.8.20190611155126_01e077e 
(Tracker: 5.11 ON_QA day, Thanks Satyajit)


Note You need to log in before you can comment on or make changes to this bug.